Summary:	A text-based modem control and terminal emulation program
Name:		minicom
Version:	2.9
Release:	%mkrel 2
License:	GPLv2+
Group:		Communications/Dial-Up
# These URLs are no longer valid
URL:		http://alioth.debian.org/projects/minicom/
Source0:	https://salsa.debian.org/minicom-team/minicom/-/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	git

Requires:	lrzsz
Requires:	setserial
Requires:	lockdev-baudboy

%description
Minicom is a simple text-based modem control and terminal emulation program
somewhat similar to MSDOS Telix. Minicom includes a dialing directory, full
ANSI and VT100 emulation, an (external) scripting language, and other features.

Minicom should be installed if you need a simple modem control program or
terminal emulator.

Run 'minicom -s' as root to create a system wide configuration. Users need
read/write permissions on the serial port devices in order to use minicom.


%prep
%autosetup -S git

%build
%configure	--disable-rpath \
		--enable-lock-dir=%{_localstatedir}/lock/lockdev

%make_build

%install
%make_install
%find_lang %name

%files -f %name.lang
%doc NEWS AUTHORS README TODO
%doc doc/Announce* doc/COMPATABILITY.lrzsz doc/HistSearch
%doc doc/Locales doc/Macros doc/QuickStart.modemu doc/README.lrzsz
%doc doc/TODO.lrzsz doc/Todo* doc/copyright.modemu doc/fselector.txt
%doc doc/japanese doc/minicom.FAQ doc/modemu.README doc/pl-translation.txt 
%doc doc/portugues-brasil doc/suomeksi doc/ChangeLog.old
%attr(755,root,dialout) %{_bindir}/minicom
%{_bindir}/runscript
%{_bindir}/xminicom
%{_bindir}/ascii-xfr
%{_mandir}/man1/*.1*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.9-2.mga10
+ Revision: 2224008
- Mageia 10 Mass Rebuild

* Sun Jun 02 2024 daviddavid <daviddavid> 2.9-1.mga10
+ Revision: 2069445
- new version: 2.9

* Sun Jun 12 2022 luigiwalser <luigiwalser> 2.8-1.mga9
+ Revision: 1863998
- 2.8
- remove upstream patches

* Fri Mar 18 2022 umeabot <umeabot> 2.7.1-5.mga9
+ Revision: 1798508
- Mageia 9 Mass Rebuild

* Sun Jun 28 2020 joequant <joequant> 2.7.1-4.mga8
+ Revision: 1599965
- fix deps
- add fedora patches / fix gcc10 build

* Thu Feb 13 2020 umeabot <umeabot> 2.7.1-3.mga8
+ Revision: 1515161
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 2.7.1-2.mga7
+ Revision: 1299554
- Mageia 7 Mass Rebuild

* Sat Apr 22 2017 neoclust <neoclust> 2.7.1-1.mga6
+ Revision: 1097084
- New version 2.7.1, fixes CVE-2017-7467 (mga#20701)

* Thu Feb 04 2016 umeabot <umeabot> 2.7-4.mga6
+ Revision: 934220
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.7-3.mga5
+ Revision: 743608
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.7-2.mga5
+ Revision: 682520
- Mageia 5 Mass Rebuild

* Mon Mar 03 2014 solbu <solbu> 2.7-1.mga5
+ Revision: 599196
- New version

* Mon Oct 21 2013 umeabot <umeabot> 2.6.2-3.mga4
+ Revision: 540744
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 solbu <solbu> 2.6.2-2.mga4
+ Revision: 494242
- Rebuild for ncurses/tinfo split

* Sun Mar 31 2013 solbu <solbu> 2.6.2-1.mga3
+ Revision: 406861
- New version

* Sat Jan 12 2013 umeabot <umeabot> 2.6.1-3.mga3
+ Revision: 360101
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 malo <malo> 2.6.1-2.mga3
+ Revision: 302510
- update RPM group

* Tue Jul 24 2012 solbu <solbu> 2.6.1-1.mga3
+ Revision: 273928
- New version
- Drop unused, non-working patch

* Sun Mar 20 2011 dmorgan <dmorgan> 2.5-2.mga1
+ Revision: 75077
- P1: fixed crashing on non-readable directory (#675400) ( fedora )

* Sun Mar 06 2011 dmorgan <dmorgan> 2.5-1.mga1
+ Revision: 65236
- imported package minicom


* Sun Jan 30 2011 Funda Wang <fwang@mandriva.org> 2.5-1mdv2011.0
+ Revision: 634147
- New version 2.5

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 2.4-3mdv2011.0
+ Revision: 606646
- rebuild

* Wed May 12 2010 Emmanuel Andry <eandry@mandriva.org> 2.4-2mdv2010.1
+ Revision: 544579
- add P13 and p14 from fedora to allow configuration with minicom -s

* Fri Jan 01 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.4-1mdv2010.1
+ Revision: 484677
- new version
- drop getline patch, useless now
- drop unappliable rh and drop-privs patches
- rediff all other patches
- cleanup documentation files

* Sun Oct 04 2009 Oden Eriksson <oeriksson@mandriva.com> 2.3-7mdv2010.0
+ Revision: 453434
- added P12 to fix build (gentoo)

* Tue Feb 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.3-6mdv2009.1
+ Revision: 337201
- keep bash completion in its own package

* Fri Jan 09 2009 Frederic Crozat <fcrozat@mandriva.com> 2.3-5mdv2009.1
+ Revision: 327559
- minicom is now setgid dialout and not uucp

* Sun Dec 21 2008 Oden Eriksson <oeriksson@mandriva.com> 2.3-4mdv2009.1
+ Revision: 317108
- rediffed some fuzzy patches
- fix build with -Werror=format-security (P11)

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.3-3mdv2009.0
+ Revision: 223263
- rebuild

* Mon Mar 03 2008 Olivier Blin <oblin@mandriva.com> 2.3-2mdv2008.1
+ Revision: 177827
- use lockdev to allow users to create lock files (#16739)

* Sun Mar 02 2008 Olivier Blin <oblin@mandriva.com> 2.3-1mdv2008.1
+ Revision: 177629
- buildconflicts with termcap-devel instead of buildrequiring it
  (or else it get preferred over ncurses)
- 2.3
- sync with RH patches

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 2.2-2mdv2008.1
+ Revision: 153090
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Apr 18 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2-1mdv2008.0
+ Revision: 14790
- 2.2
- sync patches with fedora


* Fri Dec 22 2006 Christiaan Welvaart <cjw@daneel.dyndns.org>
+ 2006-12-22 17:13:12 (101546)
- add BuildRequires: libtermcap-devel

* Fri Dec 22 2006 Christiaan Welvaart <cjw@daneel.dyndns.org>
+ 2006-12-22 17:07:58 (101545)
Import minicom

* Tue Sep 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.1-6mdv2007.0
- Rebuild

* Tue Sep 05 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.1-5mdv2007.0
- %%mkrel
- bash completion
- fix build

* Tue May 02 2006 Stefan van der Eijk <stefan@eijk.nu> 2.1-4mdk
- rebuild for sparc

* Mon Jan 24 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1-3mdk 
- Add requires on setserial package

* Mon May 31 2004 Abel Cheung <deaddog@deaddog.org> 2.1-2mdk
- Drop antique po files
- Fix gettext check, minicom doesn't need to link with -lintl

